Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1684447

Summary: CPAN is out-dated: Thu Jan 17 15:00:01 2019 UTC
Product: OpenShift Online Reporter: Petr Pisar <ppisar>
Component: ImageAssignee: Oleg Bulatov <obulatov>
Status: CLOSED NOTABUG QA Contact: XiuJuan Wang <xiuwang>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: unspecifiedCC: aos-bugs, jokerman, mmccomas, wzheng
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: http://mirror.ops.rhcloud.com/mirror/perl/CPAN/indices/timestamp.txt
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-03-20 09:53:51 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Petr Pisar 2019-03-01 09:59:33 UTC
CPAN mirror <http://mirror.ops.rhcloud.com/mirror/perl/CPAN/> is out-dated. <http://mirror.ops.rhcloud.com/mirror/perl/CPAN/indices/timestamp.txt> shows:

1547737201 Thu Jan 17 15:00:01 2019 UTC

Please refresh the mirror.

Comment 1 Oleg Bulatov 2019-03-01 13:55:17 UTC
https://redhat.service-now.com/surl.do?n=INC0835892

Comment 2 Petr Pisar 2019-03-20 08:01:20 UTC
Reopening here since <https://redhat.service-now.com/surl.do?n=INC0835892> refused the request because they do not maintain the mirror:

On Fri, Mar 15, 2019 at 07:14:27AM -0700, help.redhat.com wrote:
> This is intentional, we are no longer maintaining the CPAN cron to keep the
> repo updated.
> 
Does that mean that the mirror is not maintained anymore? If the mirror is decomissioned, it would better to remove the content completely. Otherwise the mirror maintainer should fix it. Who is the maintainer?

Comment 3 Oleg Bulatov 2019-03-20 09:53:51 UTC
Well, the request was handled by the operation team and you should keep talking with them (their manager is John Goulding). This component is about the integrated image registry (that handles docker push/pull), and the only thing I can help you with is to find a proper place to report about the problem, which is service-now.

Comment 4 Petr Pisar 2019-03-20 10:03:44 UTC
The mirror was created for OpenShift Online customers to have a local CPAN copy when deplying Perl images. Thus I believe people for OpenShift Online have a problem and should chase for the fix. I was only reporting the issue. If you (= the OpenShift Online crew) do not believe it's an issue for you then probably everything is fine. Thank you for you attention.

Comment 5 Oleg Bulatov 2019-03-20 11:00:26 UTC
Bugzilla is not a place to contact with the OpenShift Online crew. There are only engineering teams.

Comment 6 Oleg Bulatov 2019-03-20 11:05:02 UTC
Just to make it clear: I'm not from the OpenShift Online team. And this component is for bugs in OCP/OKD that affects our Online clusters.